Package com.dropbox.core.v2.sharing
Class UpdateFolderPolicyBuilder
java.lang.Object
com.dropbox.core.v2.sharing.UpdateFolderPolicyBuilder
The request builder returned by
DbxUserSharingRequests.updateFolderPolicyBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withAclUpdatePolicy(AclUpdatePolicy aclUpdatePolicy) Set value for optional field.withActions(List<FolderAction> actions) Set value for optional field.withLinkSettings(LinkSettings linkSettings) Set value for optional field.withMemberPolicy(MemberPolicy memberPolicy) Set value for optional field.withSharedLinkPolicy(SharedLinkPolicy sharedLinkPolicy) Set value for optional field.withViewerInfoPolicy(ViewerInfoPolicy viewerInfoPolicy) Set value for optional field.
-
Method Details
-
withMemberPolicy
Set value for optional field.- Parameters:
memberPolicy- Who can be a member of this shared folder. Only applicable if the current user is on a team.- Returns:
- this builder
-
withAclUpdatePolicy
Set value for optional field.- Parameters:
aclUpdatePolicy- Who can add and remove members of this shared folder.- Returns:
- this builder
-
withViewerInfoPolicy
Set value for optional field.- Parameters:
viewerInfoPolicy- Who can enable/disable viewer info for this shared folder.- Returns:
- this builder
-
withLinkSettings
Set value for optional field.- Parameters:
linkSettings- Settings on the link for this folder.- Returns:
- this builder
-
withActions
Set value for optional field.- Parameters:
actions- A list of `FolderAction`s corresponding to `FolderPermission`s that should appear in the response'sSharedFolderMetadata.getPermissions()field describing the actions the authenticated user can perform on the folder. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-